GET api/InternalApp/getEbayIds
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
Collection of TblEbayListingUrl| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| stockItemId | string |
None. |
|
| ebayUrl | string |
None. |
|
| timestamp | date |
None. |
|
| ebayName | string |
None. |
|
| EbayListingPriceHistories | Collection of EbayListingPriceHistory |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"stockItemId": "sample string 2",
"ebayUrl": "sample string 3",
"timestamp": "2026-03-11T04:41:01.0875973+00:00",
"ebayName": "sample string 5",
"ebayListingPriceHistories": [
{
"$id": "2",
"id": 1,
"timestamp": "2026-03-11T04:41:01.0875973+00:00",
"ebayListingUrl_id": 3,
"price": "sample string 4",
"qty": "sample string 5",
"qtyTxt": "sample string 6",
"tblEbayListingUrl": {
"$ref": "1"
}
},
{
"$ref": "2"
}
]
},
{
"$ref": "1"
}
]